//
//  KPCell.h
//  TableViewPlayground
//
//  Created by Kalle Persson on 05/10/13.
//  Copyright (c) 2013 Kalle Persson. All rights reserved.
//

#import <UIKit/UIKit.h>
@class KPCell;
@class KPCellAccessoryView;

@protocol KPCellDelegate <NSObject>

/**
 *  Will be activated then left accessory view is activated
 */
- (void)cell:(KPCell *)cell atIndexPath:(NSIndexPath*)indexPath didActivateLeftAccessoryView:(KPCellAccessoryView *)accessoryView;

/**
 *  Will be activated then right accessory view is activated
 */
- (void)cell:(KPCell *)cell atIndexPath:(NSIndexPath*)indexPath didActivateRightAccessoryView:(KPCellAccessoryView *)accessoryView;

@end

@interface KPCell : UITableViewCell

@property (nonatomic, assign) id<KPCellDelegate> delegate;
@property (strong, nonatomic) KPCellAccessoryView *leftAccessoryView;
@property (strong, nonatomic) KPCellAccessoryView *rightAccessoryView;
@property (strong, nonatomic) UITextField *textField;

/**
 *  The width of accessory views
 */
- (CGFloat)accessoryViewWidth;

/**
 *  How much of the accessory view that needs to be pulled out for it to be activated
 */
- (CGFloat)panThreshold;

- (void)beganPan;
- (void)setOffset:(CGFloat)offset;
- (void)panEndedAtIndexPath:(NSIndexPath *)indexPath;
- (void)resetOffset;
@end
