//
//  KPCellAccessoryView.m
//  TableViewPlayground
//
//  Created by Kalle Persson on 06/10/13.
//  Copyright (c) 2013 Kalle Persson. All rights reserved.
//

#import "KPCellAccessoryView.h"

@implementation KPCellAccessoryView

- (id)initWithFrame:(CGRect)frame
{
    if (!(self = [super initWithFrame:frame]))
        return nil;
    
    self.textAlignment = NSTextAlignmentCenter;
    self.font = [UIFont systemFontOfSize:13];
    self.text = @"Action";
    self.textColor = [UIColor whiteColor];
    self.backgroundColor = [UIColor colorWithWhite:0.5 alpha:1];
    
    return self;
}

- (void)setState:(KPCellAcessoryViewState)state
{
    _state = state;
    [self didChangeState];
}

- (void)didChangeState
{
    if (self.activeText && self.inactiveText) {
        
        NSString *activeText = self.reverse ? self.inactiveText : self.activeText;
        NSString *inactiveText = self.reverse ? self.activeText : self.inactiveText;
        self.text = self.state == KPCellAccessoryViewStateActive ? activeText : inactiveText;
    }
}

@end
