//
//  KPDatasource.h
//  TableViewPlayground
//
//  Created by Kalle Persson on 05/10/13.
//  Copyright (c) 2013 Kalle Persson. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "KPCell.h"

typedef enum {
    KPItemCategoryInbox,
    KPItemCategoryArchived,
    KPItemCategoryFavourited,
    KPItemCategoryCategoryCount
} KPItemCategory;

@protocol KPDatasourceDelegate <NSObject>

@end

@interface KPDatasource : NSObject <UITableViewDataSource>

/**
 *  Will be activated then right accessory view is activated
 *  @discussion Icky.
 */
@property (nonatomic, weak) id<KPDatasourceDelegate, KPCellDelegate, UITextFieldDelegate> delegate;

- (id)initWithCategory:(KPItemCategory)category;
- (void)insertRowAtIndex:(NSUInteger)index;
- (void)toggleArchiveRowAtIndexPath:(NSIndexPath *)indexPath;
- (void)toggleFavouriteRowAtIndexPath:(NSIndexPath *)indexPath;
- (void)updateText:(NSString *)text forRowAtIndexPath:(NSIndexPath *)indexPath;
- (BOOL)tableView:(UITableView *)tableView canSwipeRowAtIndexPath:(NSIndexPath *)indexPath;
- (NSInteger)tableView:(UITableView *)tableView actualNumberOfRowsInSection:(NSInteger)section;
- (void)archiveAllRows;
- (NSArray *)indexPathsForAllRowsInSection:(NSUInteger)section includeDeleteRow:(BOOL)includeDeleteRow;

@end


