//
//  KPItem.h
//  TableViewPlayground
//
//  Created by Kalle Persson on 21/10/13.
//  Copyright (c) 2013 Kalle Persson. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum : NSUInteger {
    KPItemStatusDefault,
    KPItemStatusArchived,
    KPItemStatusFavourited
} KPItemStatus;

@interface KPItem : NSObject <NSCoding>

@property (nonatomic) KPItemStatus status;
@property (nonatomic) BOOL isArchived;
@property (nonatomic) BOOL isFavourited;
@property (strong, nonatomic) NSString *title;

// Convenience initializer
+ (KPItem *)itemWithTitle:(NSString *)title;
- (void)archive;
- (void)unarchive;
- (void)favourite;
- (void)unFavourite;

@end
